Class | CSV::BasicWriter
In: | csv.rb
Parent: | Writer

### Methods

close_on_terminate new

### Public Class methods

new(str_or_writable, fs = ',', rs = nil)

[Source]

    # File csv.rb, line 714
        def initialize(str_or_writable, fs = ',', rs = nil)
          @fs = fs
          @rs = rs
          @dev = str_or_writable
          @close_on_terminate = false
        end

### Public Instance methods

close_on_terminate()

Tell this writer to close the IO when terminated (Triggered by invoking CSV::BasicWriter#close).

[Source]

    # File csv.rb, line 723
        def close_on_terminate
          @close_on_terminate = true
        end

[Validate]